Subject: Re: bug#6716: 23.2; Setting `find-function-source-path' has no effect.

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 13 Feb 2022 11:02:33 +0100

Štěpán Němec <[email-masked]> writes:

> Because `find-library-name' receives as its LIBRARY argument the full
> path, but doesn't strip the directory part, setting
> `find-function-source-path' has no effect on symbol finding -- Emacs
> still tries the path guessed according to load path (which is not
> correct in case you have the Elisp sources in directory different from
> the compiled files).

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

`find-function-source-path' is now obsolete (`find-library-source-path'
is used instead), but there wasn't a case to reproduce the problem here.
Are there still problems in this area in recent Emacs versions?  If so,
do you have a recipe to reproduce the problem?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no